%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: A library of functions for manipulating TIFF format image files.
Summary(ja): TIFF フォーマットの画像ファイルを扱うライブラリ
Name: libtiff
Version: 4.0.8
Release: 1%{_dist_release}
License: distributable
Group: System Environment/Libraries
Source0: http://download.osgeo.org/libtiff/tiff-%{version}.tar.gz

URL: http://www.simplesystems.org/libtiff/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: zlib-devel libjpeg-devel
%define LIBVER %(echo %{version} | cut -f-2 -d.)
%ifarch x86_64
Provides: libtiff.so.4()(64bit)
%else
Provides: libtiff.so.4
%endif
Obsoletes: libtiff4

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, iwamoto

Patch0: libtiff-am-version.patch
Patch1: libtiff-make-check.patch

%description
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%description -l ja
libtiff パッケージには TIFF (Tagged Image File Format) 画像ファイルを
扱う各種ライブラリが収められています．TIFF はビットマップ画像を扱う際に
広く使われているフォーマットです．TIFF ファイルは通常 .tif のファイル
拡張子が使われ，サイズは概して大きめです．

TIFF 形式の画像ファイルを扱う必要があるならば，
libtiff パッケージを是非インストールして下さい．


%package devel
Summary: Development tools for programs which will use the libtiff library.
Summary(ja): libtiff ライブラリを使うプログラム向け開発ツール
Group: Development/Libraries
Requires: libtiff = %{version}


%description devel
This package contains the header files and static libraries for
developing programs which will manipulate TIFF format image files
using the libtiff library.

If you need to develop programs which will manipulate TIFF format
image files, you should install this package.  You'll also need to
install the libtiff package.

#'
%description devel -l ja
このパッケージには，libtiff ライブラリを使って TIFF 形式の
画像ファイルを扱うプログラムを開発する際に必要なヘッダファイルや
スタティックライブラリが収められています．

TIFF 形式画像ファイルを扱うプログラムを開発する必要がある場合は
このパッケージをインストールして下さい．libtiff パッケージも同時に
インストールする必要があります．

## to build compat32 for x86_64 architecture support
%package -n compat32-%{name}
Summary: A library of functions for manipulating TIFF format image files.
Group: System Environment/Libraries
Requires: %{name} = %{version}
Provides: libtiff.so.4
Obsoletes: compat32-libtiff4
%description -n compat32-%{name}
The libtiff package contains a library of functions for manipulating 
TIFF (Tagged Image File Format) image format files.  TIFF is a widely
used file format for bitmapped images.  TIFF files usually end in the
.tif extension and they are often quite large.

The libtiff package should be installed if you need to manipulate TIFF
format image files.

%package -n compat32-%{name}-devel
Summary: Development tools for programs which will use the libtiff library.
Group: Development/Libraries
Requires: compat32-%{name} = %{version}
Requires: %{name}-devel = %{version}
%description -n compat32-%{name}-devel
This package contains the header files and static libraries for
developing programs which will manipulate TIFF format image files
using the libtiff library.

If you need to develop programs which will manipulate TIFF format
image files, you should install this package.  You'll also need to
install the libtiff package.

#'
%prep
%setup -q -n tiff-%{version}

%patch0 -p1
%patch1 -p1

# Use build system's libtool.m4, not the one in the package.
rm -f libtool.m4

libtoolize --force  --copy
aclocal -I . -I m4
automake --add-missing --copy
autoconf
autoheader

%build
export CFLAGS="%{optflags} -fno-strict-aliasing"
%configure \
  --enable-ld-version-script \
  --with-jpeg-lib-dir=%{_libdir} \
  --disable-cxx
%__make %{?_smp_mflags}
%__make clean

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall
rm -rf $RPM_BUILD_ROOT/usr/share/doc/tiff-%{version}

ln -sf libtiff.so.5 $RPM_BUILD_ROOT%{_libdir}/libtiff.so.4

rm $RPM_BUILD_ROOT%{_libdir}/libtiff*.la


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%if %{build_compat32}
%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT README RELEASE-DATE VERSION
%{_bindir}/*
%{_libdir}/libtiff*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-,root,root)
%doc TODO html ChangeLog
%{_includedir}/*
%{_libdir}/libtiff*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*

## to build compat32 for x86_64 architecture support
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root)
%{_libdir}/libtiff.so.*

%files -n compat32-%{name}-devel
%defattr(-,root,root)
%{_libdir}/libtiff.so
%endif


%changelog
* Sat Jun  3 2017 IWAI, Masaharu <iwaim.sub@gmail.com> 4.0.8-1
- update to 4.0.8
- drop patches; upstream fixed
 - HylaFAX patch (Patch2)
 - CVE patches (Patch3..16)

* Sat May  6 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.7-2
- imported patches from rawhide.
    - fixed CVE-2017-759{2,3,4,5,6,7,8,9}, CVE-2017-760{0,1,2}
    - fixed CVE-2016-1026{6,7,8,9}, CVE-2016-1027{0,1,2}

* Sun Mar 19 2017 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.0.7-1
- new upstream release.
- drooped patch1-11: fixed in upstream.

* Thu Dec 26 2013 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.3-2
- add patch1-11 from fc21 to fix security issues

* Mon Nov 12 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.3-1
- new upstream release with security fix (CVE-2012-4447) 
- drop *.a files from -devel packages

* Thu Aug  2 2012 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 4.0.2-4
- new upstream release with security fixes (CVE-2012-2088, 2113)
- drop patch1 (is included in new release)

* Wed Jun 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-4
- Obosletes: libtiff4 and compat32-libtiff4 (vl6)

* Sun May 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-3
- fix R: for compat32 package

* Fri May 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-2
- add libtiff.so.4 for compatibility
- add pkgconfig file

* Fri May 18 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 4.0.1-1
- new upstream release 
- add patch1 to fix CVE-2012-1173

* Mon Apr 25 2011 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.9.5-1
- new upstream release
- drop all patches (are included in new release)
- remove if-endif for Vine 4.x
- add Vendor/Distri tags

* Sun Apr 24 2011 IWAI, Masaharu <iwai@alib.jp> 3.9.4-3
- add some patches from RHEL6 3.9.4-1.el6_0.3
 - fix for CVE-2011-0192 (Patch11)
 - fix for CVE-2011-1167 (Patch12)
 - fix for CVE-2009-5022 (Patch13)

* Sun Apr 17 2011 Shu KONNO <owa@bg.wakwak.com> 3.9.4-2
- rebuilt with rpm-4.8.1-3

* Mon Jul 05 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.9.4-1
- new upstream release
- add patch4-10 from fedora

* Thu Feb 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 3.9.2-1
- new upstream release
- remove BC: freeglut-devel
- add patch1,2,4,5 from fedora
- drop obsolete patches

* Fri Jul 17 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 3.8.2-9
- change if-endif to make both i386 and compat32 packages

* Wed Jul 15 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 3.8.2-8
- add patch5 for fix CVE-2009-2347 (Integer Overflow)

* Tue Jun 23 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 3.8.2-7
- add patch4 for fix lzw underflow security issue
- add if branch Vine4/5 in devel files section (*.la are included or not)

* Fri Sep 26 2008 Shu KONNO <owa@bg.wakwak.com> 3.8.2-6vl4
- removed *.la
- spec in utf-8

* Tue Sep 02 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 3.8.2-5vl4
- fix changelog typo (3.8.4 -> 3.8.2)
- new versioning policy
- add patch3 for fix CVE-2008-2327 (LZW Data Decoding Buffer Underflow)

* Mon Sep 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.8.2-0vl4
- fix libdir in libtiff.la
- add BuildConflicts: freeglut-devel

* Thu Aug 31 2006 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 3.8.2-0vl3
- rebuilt without glut-devel

* Fri Aug 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 3.8.2-0vl2
- add Patch2 to fix multiple vulnerabilities (CVE-2006-346[012345])

* Fri Jun  9 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.8.2-0vl1
- new upstream release
- remove obsolete patches
- add Patch0 and Patch1 from Debian (CVE-2006-2193, CVE-2006-2656)
- delete duped docs
- add --disable-cxx to configure option
- add *.la to devel package

* Sun Feb 12 2006 Shu KONNO <owa@bg.wakwak.com> 3.7.1-0vl2
- added compat32-* packages for x86_64 architecture support
- added --with-jpeg-lib-dir=%{_libdir} to configure

* Wed Feb 09 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 3.7.1-0vl1
- new upstream release
- remove obsolete patches
- cleanup specs

* Fri Jan 21 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-6vl7
- rebuild for Vine3.1

* Wed Jan 19 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-6vl6
- add Patch15-16 from Red Hat (CAN-2004-1183) (CAN-2004-1308)
- update URL

* Sun Oct 31 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-6vl1.1
- build for Vine2.6

* Fri Oct 29 2004 IWAI, Masaharu <iwai@alib.jp> 3.5.7-6vl5
- fix changelog: proper name

* Wed Oct 27 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-6vl4
- add symlink to shared lib by running ldconfig at compile time

* Tue Oct 26 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-6vl3
- add patch8-13 from Fedora Core
--* Thu Oct 07 2004 Matthias Clasen <mclasen@redhat.com>
--- fix some integer and buffer overflows (#134853, #134848)
- add patch14 from SUSE LINUX
--* Wed Oct 20 2004 - meissner@suse.de
--- Do not crash if we are using unsupported codecs (like OJPEG).

* Wed Jan 15 2003 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.7-6vl2
- rebuild with new toolchains
- to use License instead of Copyright

* Fri Jul 05 2002 Ryoichi INAGAKI <ryo1@bc.wakwak.com>
- 3.5.7-6vl1
- based on 3.5.7-6 from Rawhide

* Mon Jan 08 2001 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 3.5.5-8vl1
- based on 3.5.5-8 from Rawhide
- added Japanese summary and description

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Mon Aug  7 2000 Crutcher Dunnavant <crutcher@redhat.com>
- added a tiff-to-ps.fpi filter for printing

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- apply Peter Skarpetis's fix for the 32-bit conversion

* Mon Jul  3 2000 Nalin Dahyabhai <nalin@redhat.com>
- make man pages non-executable (#12811)

* Mon Jun 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- remove CVS repo info from data directories

* Thu May 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix build rooting
- fix syntax error in configure script
- move man pages to %{_mandir}

* Wed May 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild for an errata release

* Wed Mar 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.5.5, which integrates our fax2ps fixes and the glibc fix

* Tue Mar 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix fax2ps swapping height and width in the bounding box

* Mon Mar 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages from devel package to the regular one
- integrate Frank Warmerdam's fixed .fax handling code (keep until next release
  of libtiff)
- fix fax2ps breakage (bug #8345)

* Sat Feb 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- set MANDIR=man3 to make multifunction man pages friendlier

* Mon Jan 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix URLs

* Fri Jan 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- link shared library against libjpeg and libz

* Tue Jan 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable zip and jpeg codecs
- change defattr in normal package to 0755
- add defattr to -devel package

* Wed Dec 22 1999 Bill Nottingham <notting@redhat.com>
- update to 3.5.4

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed Jun 10 1998 Michael Fulbright <msf@redhat.com>
- rebuilt against fixed jpeg libs (libjpeg-6b)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- new version to replace the one from libgr
- patched for glibc
- added shlib support
